package com.artfess.cqlt.manager;

import com.artfess.base.manager.BaseManager;
import com.artfess.cqlt.model.QfHrPersonM;
import com.artfess.cqlt.vo.DataInfoVo;
import com.artfess.cqlt.vo.ReportVo;
import com.artfess.poi.util.HeaderNode;

import java.util.List;

/**
 * 人资--人员数据主表 服务类
 *
 * @company 阿特菲斯信息技术有限公司
 * @author min.wu
 * @since 2023-02-27
 */
public interface QfHrPersonMManager extends BaseManager<QfHrPersonM> {

    boolean importExcel(List<HeaderNode> list, String mainId);

    boolean updateStatus(QfHrPersonM t);

    boolean updateInfo(QfHrPersonM t);

    boolean insertInfo(QfHrPersonM t);

    List<ReportVo> getHrReportVo(DataInfoVo dataInfoVo, String subjectCode);
}
